Apache log4cxx Version @version@

Public Member Functions | List of all members
InterruptedException Class Reference

`#include <exception.h>`

Inheritance diagram for InterruptedException:

## Public Member Functions
| InterruptedException ()
| InterruptedException (log4cxx_status_t stat)
| InterruptedException (const InterruptedException &src)
InterruptedException & | operator= (const InterruptedException &)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Constructor & Destructor Documentation

## ◆ InterruptedException() [1/3]

InterruptedException | ( |  | ) |

## ◆ InterruptedException() [2/3]

InterruptedException | ( | log4cxx_status_t | stat | ) |

## ◆ InterruptedException() [3/3]

InterruptedException | ( | const InterruptedException & | src | ) |

## Member Function Documentation

## ◆ operator=()

InterruptedException & operator= | ( | const InterruptedException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h